%define name		perl-DBD-Pg
%define realname	DBD-Pg
%define version		1.31
%define release		1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	PostgreSQL database driver for the DBI module
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{realname}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Buildrequires:	perl-DBI
Buildrequires:	perl-devel
Buildrequires:	postgresql-devel

%description
PostgreSQL database driver for the DBI module

%prep
%setup -n %{realname}-%{version}

%build
export POSTGRES_INCLUDE=/usr/include/pgsql
export POSTGRES_LIB=%{_libdir}
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc MANIFEST README
%{perl_vendorarch}/auto/DBD/Pg
%{perl_vendorarch}/DBD/*
%{_mandir}/*/*

%changelog
* Thu Nov 20 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.31-1mdk
- new version

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.22-5mdk
- rebuild for new perl
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.22-4mdk
- rebuild for new auto{prov,req}

* Mon Apr 28 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.22-3mdk
- fixed dir ownership (Olivier Thauvin <thauvin@aerov.jussieu.fr>)

* Sun Apr 20 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.22-2mdk
- fixed BuildRequires (thx Stefan van der Eijk <stefan@eijk.nu>)

* Tue Apr 01 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.22-1mdk
- 1.22

* Tue Mar  4 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.21-2mdk
- rebuild (had a require on libpq.so.2, which is not in the distro anymore)

* Mon Jan 13 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.21-1mdk
- 1.21

* Thu Nov 28 2002 Franois Pons <fpons@mandrakesoft.com> 1.20-1mdk
- 1.20.

* Tue Aug 06 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.01-4mdk
- rebuild for multi-thread perl

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 1.01-3mdk
- rebuild for perl 5.8.0

* Mon Apr 08 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.01-2mdk
- fix buildrequires ( thx Arnaud )

* Thu Aug 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.01-1mdk
- updated to 1.01

* Wed Mar 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.95-1mdk
- added by Stefan van der Eijk <s.vandereijk@chello.nl> :
	- new in contrib
